Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockRenderResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockMimeResponse
              org.springframework.mock.web.portlet.MockRenderResponse

All Implemented Interfaces:
  javax.portlet.MimeResponse, javax.portlet.PortletResponse, javax.portlet.RenderResponse

    public class MockRenderResponse

extends MockMimeResponse
implements javax.portlet.RenderResponse

Mock implementation of the `RenderResponse` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Field Summary

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`MockRenderResponse()` Create a new MockRenderResponse with a default `MockPortalContext`.
`MockRenderResponse(javax.portlet.PortalContext portalContext)` Create a new MockRenderResponse.
`MockRenderResponse(javax.portlet.PortalContext portalContext, javax.portlet.RenderRequest request)` Create a new MockRenderResponse.

Method Summary
`java.util.Collection<javax.portlet.PortletMode>` | `getNextPossiblePortletModes()`
`java.lang.String` | `getTitle()`
`void` | `setNextPossiblePortletModes(java.util.Collection<javax.portlet.PortletMode> portletModes)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class org.springframework.mock.web.portlet.MockMimeResponse
`createActionURL, createRenderURL, createResourceURL, flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentAsByteArray, getContentAsString, getContentType, getForwardedUrl, getIncludedUrl, getLocale, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setCommitted, setContentType, setForwardedUrl, setIncludedUrl, setLocale`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.RenderResponse
`setContentType`

Methods inherited from interface javax.portlet.MimeResponse
`createActionURL, createRenderURL, createResourceURL, flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentType, getLocale, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### MockRenderResponse

    public MockRenderResponse()

  Create a new MockRenderResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockRenderResponse

    public MockRenderResponse(javax.portlet.PortalContext portalContext)

  Create a new MockRenderResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

### MockRenderResponse

    public MockRenderResponse(javax.portlet.PortalContext portalContext,
                              javax.portlet.RenderRequest request)

  Create a new MockRenderResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates
    `request` - the corresponding render request that this response is generated for

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    `setTitle` in interface `javax.portlet.RenderResponse`

### getTitle

    public java.lang.String getTitle()

### setNextPossiblePortletModes

    public void setNextPossiblePortletModes(java.util.Collection<javax.portlet.PortletMode> portletModes)

  Specified by:
    `setNextPossiblePortletModes` in interface `javax.portlet.RenderResponse`

### getNextPossiblePortletModes

    public java.util.Collection<javax.portlet.PortletMode> getNextPossiblePortletModes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD